Skip to content

Update a user

PUT
/v1/merchants/{merchant_id}/users/{user_id}/

The email address can't be changed. Users can't change their own status, roles, permissions or field permissions.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

user_id*string

The ID of the user, or self for the user of the token.

Request Body

application/json
  1. body
email*string

The email address, used to log in. Can't be changed once set.

status?string
Value in"inactive""pending""active"
legal_name?string
phone_numbers?array<string>
locale?string|null
timezone?string|null
roles?array<>

The IDs of the roles of the user. Users can't change their own roles.

field_permissions?

Field permissions per resource and field, see Permissions. projects is the only resource.

Response Body

The updated user.

application/json
  1. response
id?string
Formatuuid
created?string
Formatdate-time
modified?|
Formatdate-time
email*string

The email address, used to log in. Can't be changed once set.

status?string
Value in"inactive""pending""active"
legal_name?string
phone_numbers?array<string>
locale?string|null
timezone?string|null
mfa?

The MFA methods of the user.

roles?array<>

The IDs of the roles of the user. Users can't change their own roles.

permissions?

Deprecated, use roles.

field_permissions?

Field permissions per resource and field, see Permissions. projects is the only resource.

last_login?|
Formatdate-time
curl -X PUT 'https://api.example.com/v1/merchants/self/users/self/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "email": "ops@example.com",  "legal_name": "Alex Example",  "roles": [    "3367941d-75a2-4193-a8ab-add781d5f7f4"  ]}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z",  "email": "string",  "status": "inactive",  "legal_name": "string",  "phone_numbers": [    "string"  ],  "locale": "string",  "timezone": "string",  "mfa": {},  "roles": [    "3e67ee41-e431-4abb-a52b-02eab88ad745"  ],  "permissions": {    "property1": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    },    "property2": {      "GET": true,      "POST": true,      "PUT": true,      "DELETE": true,      "*": true    }  },  "field_permissions": {    "property1": {      "property1": {        "read": true,        "write": true      },      "property2": {        "read": true,        "write": true      }    },    "property2": {      "property1": {        "read": true,        "write": true      },      "property2": {        "read": true,        "write": true      }    }  },  "last_login": "2019-08-24T14:15:22Z"}